## kodi-vfs-libarchive-dmo 19.2.0

=== depends/common/bz2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(bzip2)

if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_FILE_OFFSET_BITS=64")
elseif(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
  add_definitions(-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_WARNINGS)
endif()

set(SOURCES blocksort.c
            huffman.c
            crctable.c
            randtable.c
            compress.c
            decompress.c
            bzlib.c)

add_library(bz2 ${SOURCES})
set_property(TARGET bz2 PROPERTY POSITION_INDEPENDENT_CODE ON)

install(TARGETS bz2 DESTINATION lib)
install(FILES bzlib.h DESTINATION include)

=== depends/common/openssl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(openssl)

if(NOT CPU AND CMAKE_SYSTEM_PROCESSOR)
  set(CPU ${CMAKE_SYSTEM_PROCESSOR})
endif()

if(CORE_SYSTEM_NAME MATCHES "android")
  if(CPU MATCHES arm64)
    set(OPENSSL_TARGET android-arm64)
  elseif(CPU MATCHES arm)
    set(OPENSSL_TARGET android-arm)
  elseif(CPU MATCHES i686)
    set(OPENSSL_TARGET android-x86)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "linux" OR CORE_SYSTEM_NAME MATCHES "rbpi")
  if(CPU MATCHES aarch64 OR CPU MATCHES arm64 OR CPU STREQUAL x86_64 OR ARCH MATCHES aarch64 OR ARCH STREQUAL x86_64)
    set(OPENSSL_TARGET linux-generic64)
  elseif(CPU MATCHES arm OR CPU MATCHES "i.86" OR ARCH MATCHES arm OR CPU MATCHES cortex-a7 OR CPU MATCHES arm1176jzf-s)
    set(OPENSSL_TARGET linux-generic32)
  else()
    message(WARNING "Could not detect bitness for CPU ${CPU} - assuming 32bit")
    set(OPENSSL_TARGET linux-generic32)
  endif()
elseif(CORE_SYSTEM_NAME MATCHES "ios" OR CORE_SYSTEM_NAME MATCHES "darwin_embedded")
  set(OPENSSL_TARGET iphoneos-cross)
elseif(CORE_SYSTEM_NAME MATCHES "osx")
  if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(OPENSSL_TARGET darwin64-x86_64-cc)
  else()
    set(OPENSSL_TARGET darwin-i386-cc)
  endif()
endif()

list(APPEND configure_command ${CMAKE_COMMAND} -E env)
list(APPEND configure_command ANDROID_NDK=${TOOLCHAIN})
list(APPEND configure_command AR=${CMAKE_AR})
list(APPEND configure_command CC=${CMAKE_C_COMPILER})
list(APPEND configure_command CFLAGS=${CMAKE_C_FLAGS})
list(APPEND configure_command CPPFLAGS=${CMAKE_CPP_FLAGS})
list(APPEND configure_command CXX=${CMAKE_CXX_COMPILER})
list(APPEND configure_command CXXFLAGS=${CMAKE_CXX_FLAGS})
list(APPEND configure_command INSTALL_PREFIX=)
list(APPEND configure_command LDFLAGS=${CMAKE_LD_FLAGS})
list(APPEND configure_command RANLIB=${CMAKE_RANLIB})
list(APPEND configure_command <SOURCE_DIR>/Configure)
list(APPEND configure_command ${OPENSSL_TARGET})
list(APPEND configure_command no-shared zlib)
if(PLATFORM MATCHES appletvos)
  list(APPEND configure_command no-async)
endif()
list(APPEND configure_command --prefix=${OUTPUT_DIR})
list(APPEND configure_command --with-zlib-include=${OUTPUT_DIR}/include)
list(APPEND configure_command --with-zlib-lib=${OUTPUT_DIR}/lib)
list(APPEND configure_command COMMAND sed -ie "s|PROGRAMS=|PROGRAMS=#|" ${PROJECT_SOURCE_DIR}/Makefile)
list(APPEND configure_command COMMAND sed -ie "s|-isysroot $.CROSS_TOP./SDKs/$.CROSS_SDK. ||" ${PROJECT_SOURCE_DIR}/Makefile)

include(ExternalProject)

externalproject_add(openssl
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND ""
                    CONFIGURE_COMMAND ${configure_command}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install_sw WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})")

=== depends/common/xz-utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(xz-utils)

include(ExternalProject)
externalproject_add(xz-utils
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                      --prefix=${OUTPUT_DIR}
                      --enable-static
                      --disable-shared
                      --with-pic
                      ${EXTRA_CFLAGS}
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== depends/windowsstore/xz-utils/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(xz-utils)

add_definitions(-DWIN32 -DHAVE_CONFIG_H -D_LIB -D_CRT_SECURE_NO_WARNINGS)
if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
  add_definitions(-D_WIN32_WINNT=0x0A00)
endif()
include_directories(${PROJECT_SOURCE_DIR}/windows/vs2013
                    ${PROJECT_SOURCE_DIR}/src/liblzma/common
                    ${PROJECT_SOURCE_DIR}/src/common
                    ${PROJECT_SOURCE_DIR}/src/liblzma/api
                    ${PROJECT_SOURCE_DIR}/src/liblzma/check
                    ${PROJECT_SOURCE_DIR}/src/liblzma/delta
                    ${PROJECT_SOURCE_DIR}/src/liblzma/lz
                    ${PROJECT_SOURCE_DIR}/src/liblzma/lzma
                    ${PROJECT_SOURCE_DIR}/src/liblzma/rangecoder
                    ${PROJECT_SOURCE_DIR}/src/liblzma/simple)

set(SOURCES src/common/tuklib_cpucores.c
            src/common/tuklib_physmem.c
            src/liblzma/check/check.c
            src/liblzma/check/crc32_fast.c
            src/liblzma/check/crc32_table.c
            src/liblzma/check/crc64_fast.c
            src/liblzma/check/crc64_table.c
            src/liblzma/check/sha256.c
            src/liblzma/common/alone_decoder.c
            src/liblzma/common/alone_encoder.c
            src/liblzma/common/auto_decoder.c
            src/liblzma/common/block_buffer_decoder.c
            src/liblzma/common/block_buffer_encoder.c
            src/liblzma/common/block_decoder.c
            src/liblzma/common/block_encoder.c
            src/liblzma/common/block_header_decoder.c
            src/liblzma/common/block_header_encoder.c
            src/liblzma/common/block_util.c
            src/liblzma/common/common.c
            src/liblzma/common/easy_buffer_encoder.c
            src/liblzma/common/easy_decoder_memusage.c
            src/liblzma/common/easy_encoder.c
            src/liblzma/common/easy_encoder_memusage.c
            src/liblzma/common/easy_preset.c
            src/liblzma/common/filter_buffer_decoder.c
            src/liblzma/common/filter_buffer_encoder.c
            src/liblzma/common/filter_common.c
            src/liblzma/common/filter_decoder.c
            src/liblzma/common/filter_encoder.c
            src/liblzma/common/filter_flags_decoder.c
            src/liblzma/common/filter_flags_encoder.c
            src/liblzma/common/hardware_cputhreads.c
            src/liblzma/common/hardware_physmem.c
            src/liblzma/common/index.c
            src/liblzma/common/index_decoder.c
            src/liblzma/common/index_encoder.c
            src/liblzma/common/index_hash.c
            src/liblzma/common/outqueue.c
            src/liblzma/common/stream_buffer_decoder.c
            src/liblzma/common/stream_buffer_encoder.c
            src/liblzma/common/stream_decoder.c
            src/liblzma/common/stream_encoder.c
            src/liblzma/common/stream_encoder_mt.c
            src/liblzma/common/stream_flags_common.c
            src/liblzma/common/stream_flags_decoder.c
            src/liblzma/common/stream_flags_encoder.c
            src/liblzma/common/vli_decoder.c
            src/liblzma/common/vli_encoder.c
            src/liblzma/common/vli_size.c
            src/liblzma/delta/delta_common.c
            src/liblzma/delta/delta_decoder.c
            src/liblzma/delta/delta_encoder.c
            src/liblzma/lzma/fastpos_table.c
            src/liblzma/lzma/lzma2_decoder.c
            src/liblzma/lzma/lzma2_encoder.c
            src/liblzma/lzma/lzma_decoder.c
            src/liblzma/lzma/lzma_encoder.c
            src/liblzma/lzma/lzma_encoder_optimum_fast.c
            src/liblzma/lzma/lzma_encoder_optimum_normal.c
            src/liblzma/lzma/lzma_encoder_presets.c
            src/liblzma/lz/lz_decoder.c
            src/liblzma/lz/lz_encoder.c
            src/liblzma/lz/lz_encoder_mf.c
            src/liblzma/rangecoder/price_table.c
            src/liblzma/simple/arm.c
            src/liblzma/simple/armthumb.c
            src/liblzma/simple/ia64.c
            src/liblzma/simple/powerpc.c
            src/liblzma/simple/simple_coder.c
            src/liblzma/simple/simple_decoder.c
            src/liblzma/simple/simple_encoder.c
            src/liblzma/simple/sparc.c
            src/liblzma/simple/x86.c)

add_library(lzma STATIC ${SOURCES})

install(TARGETS lzma DESTINATION lib)

install(FILES src/liblzma/api/lzma.h DESTINATION include)
install(FILES src/liblzma/api/lzma/base.h
              src/liblzma/api/lzma/bcj.h
              src/liblzma/api/lzma/block.h
              src/liblzma/api/lzma/check.h
              src/liblzma/api/lzma/container.h
              src/liblzma/api/lzma/delta.h
              src/liblzma/api/lzma/filter.h
              src/liblzma/api/lzma/hardware.h
              src/liblzma/api/lzma/index.h
              src/liblzma/api/lzma/index_hash.h
              src/liblzma/api/lzma/lzma12.h
              src/liblzma/api/lzma/stream_flags.h
              src/liblzma/api/lzma/version.h
              src/liblzma/api/lzma/vli.h
        DESTINATION include/lzma)

=== debian/changelog ===
kodi-vfs-libarchive-dmo (1:19.2.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 May 2022 08:56:29 +0200

kodi-vfs-libarchive-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 19:25:58 +0100

kodi-vfs-libarchive-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 17:20:03 +0200

kodi-vfs-libarchive-dmo (1:2.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Apr 2021 23:11:42 +0200

kodi-vfs-libarchive-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Jan 2021 08:59:05 +0100

kodi-vfs-libarchive-dmo (1.0.7-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Mar 2020 08:42:57 +0200

kodi-vfs-libarchive-dmo (1.0.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jan 2020 09:05:05 +0100

kodi-vfs-libarchive-dmo (1.0.5-dmo2) unstable; urgency=medium

  * Extend description with libarchive description.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2019 09:39:41 +0100

kodi-vfs-libarchive-dmo (1.0.5-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Mar 2019 08:40:44 +0100

=== debian/control ===
Source: kodi-vfs-libarchive-dmo
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/vfs.libarchive
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libarchive-dev, liblz4-dev, liblzo2-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
 libssl-dev, ninja-build

Package: kodi-vfs-libarchive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:VFSAPI}
Description: Libarchive VFS add-on for Kodi
 This is a Kodi VFS addon to support archives.
 .
 From libarchive description:
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
    * zstandard (read and write using libzstd)

=== debian/watch ===
version=4

https://github.com/xbmc/vfs.libarchive/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-vfs-libarchive-dmo 20.3.0

=== depends/common/lz4/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(CMAKE_POSITION_INDEPENDENT_CODE on)
include(contrib/cmake_unofficial/CMakeLists.txt)

=== debian/changelog ===
kodi-vfs-libarchive-dmo (1:20.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Feb 2023 08:36:10 +0100

kodi-vfs-libarchive-dmo (1:20.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 13:34:04 +0100

kodi-vfs-libarchive-dmo (1:19.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 May 2022 08:37:08 +0200

kodi-vfs-libarchive-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 19:15:35 +0100

kodi-vfs-libarchive-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 21 Sep 2021 16:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/vfs.libarchive
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
  libarchive-dev, liblz4-dev, liblzo2-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
  libssl-dev, ninja-build

=== debian/watch ===
version=4

https://github.com/xbmc/vfs.libarchive/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-vfs-libarchive-dmo 21.0.2

=== debian/changelog ===
kodi-vfs-libarchive-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 09:00:13 +0100

kodi-vfs-libarchive-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:35:04 +0100

kodi-vfs-libarchive-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 21:25:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/vfs.libarchive
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
  libarchive-dev, liblz4-dev, liblzo2-dev, zlib1g-dev, libbz2-dev, liblzma-dev,
  libssl-dev, ninja-build

=== debian/watch ===
version=4

#https://github.com/xbmc/vfs.libarchive/tags \
#(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
